package com.ruoyi.ehsRescueTeamWorker.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class RescueTeamWorkerImportTemplate {
    /**
     * 人员姓名
     */
    @Excel(name = "人员姓名", type = Excel.Type.ALL)
    private String workerName;
    /**
     * 性别
     */
    @Excel(name = "性别(0男 1女)", type = Excel.Type.ALL)
    private Integer gender;
    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月(格式为2023-12-12)", width = 30, dateFormat = "yyyy-MM-dd", type = Excel.Type.ALL)
    private Date birthday;
    /**
     * 身份证号
     */
    @Excel(name = "身份证号", type = Excel.Type.ALL)
    private String idCard;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式", type = Excel.Type.ALL)
    private String phone;

    /**
     * 工作年限
     */
    @Excel(name = "工作年限", type = Excel.Type.ALL)
    private String workYear;

    /**
     * 救援技能特长
     */
    @Excel(name = "救援技能特长", type = Excel.Type.ALL)
    private String speciality;

    /**
     * 备注
     */
    @Excel(name = "备注", type = Excel.Type.ALL)
    private String remark;
}
